# BaColonyzer

[![Travis (.org)](https://img.shields.io/travis/judithbergada/bacolonyzer?style=for-the-badge)](https://travis-ci.org/judithbergada/bacolonyzer) [![PyPI](https://img.shields.io/pypi/v/bacolonyzer?style=for-the-badge)](https://pypi.org/project/bacolonyzer/) [![PyPI - License](https://img.shields.io/pypi/l/bacolonyzer?style=for-the-badge)](https://github.com/judithbergada/bacolonyzer/blob/master/LICENSE)

by Judith Bergadà Pijuan.

BaColonyzer is a software to quantify the cell density of bacterial cultures
from timecourse pictures. It uses image analysis tools to determine the fitness
of spotted cultures of bacteria grown on solid agar.

## Installation

BaColonyzer can be installed under Linux, macOS and Microsoft Windows.
It is available in PyPI for Python3.

To install the tool, please run this command in your terminal:

```bash
pip3 install bacolonyzer
```

Further information on the installation can be found in the
[Installation Guide](https://judithbergada.github.io/bacolonyzer/installation/).


## Usage

Basic information on how to use BaColonyzer can be obtained using
the `help` flag:

```bash
bacolonyzer -h
```

BaColonyzer has two main commands available for the users. Try the following
if you want to get further information:

```bash
bacolonyzer analyse -h
bacolonyzer rename_images -h
```

Alternatively, you can visit the [BaColonyzer webpage](https://judithbergada.github.io/bacolonyzer/usage/), where you will find
detailed documentation and instructions to use the tool.
We highly recommend to visit it in order to understand the input parameters as well as the outputs provided.
